import { CSSProperties } from "react";
import { TColor } from "primeobjects-helper-util";
export type TActionButtonProps = {
    id: string;
    color?: TColor;
    tooltipText?: string;
    tooltipPlacement?: "right" | "top" | "left" | "bottom";
    tooltipMouseEnterDelay?: number;
    tooltipMouseLeaveDelay?: number;
    iconSrc?: string;
    iconColor?: TColor | string;
    text?: string;
    textColor?: TColor | string;
    wrapperClassName?: string;
    wrapperStyle?: CSSProperties;
    doing?: boolean;
    doingIconColor?: string;
    onClick?: () => void;
};
export declare const ActionButton: (props: TActionButtonProps) => JSX.Element;
export default ActionButton;
